Page MenuHomePhabricator

e22 beta screen flickering and other odd issues
Closed, WontfixPublic

Description

I had been running E22 alpha and beta on my desktop. I had problems with alpha on my laptop. Mostly empty GTK windows as reported in T6144. Though the issue in T6146 started occurring last night when I had the main menu open when I moused over I think Development or Graphics. Something in there seemed to crash EFM and restart, icons disappeared as did desktop background and came back. All other things remained.

Today after login and reboot a few times. The desktop continued to flicker. Icons seemed to have issues and odd things taking place on screen when over say the shelf or other stuff. I would see like shapes of the screen not being drawn or something like that, triangular shapes. Seemed like video cards issues. Till I switched back to 0.21.9 and all is well.

Not sure what is up with 0.22.0 but it has some serious issues. I would delay any release till issues can be worked out. I am unable to run that version on both my laptop and dual display desktop. That is not good.

wltjr created this task.Oct 6 2017, 8:27 AM
zmike added a comment.Oct 13 2017, 6:32 AM

Different graphical effects are used in different versions of Enlightenment, so it's possible you are hitting driver issues in newer versions as compared to older ones. If you run in software mode (see other ticket), I am guessing most of these issues will disappear.

wltjr added a comment.Oct 13 2017, 7:16 AM

I do not believe these are driver or effects related at all. Right now if I go over Development or Graphics categories in the main menu. It seems to crash EFM. I lose desktop background, icons, and it seems to restart that. Here is my session log file.

EFM spit out all kinds of stuff as I went to grab and attach that file.

zmike added a comment.Oct 13 2017, 8:44 AM

The only noteworthy errors there are indicating that the 'soffice' binary has not been found for creating file thumbnails.

What you're describing regarding that crash is exactly what may occur from a driver bug. Without the corresponding crashdump file, however, it's impossible for me to confirm.

wltjr added a comment.Oct 13 2017, 8:54 AM

I have no idea about soffice, or what package provides that. Looking into that part.

If I get a crash dump file I will pass it along. Thus far it is not generating one. What you see in the log file is all the output I got. I am not sure E is crashing but EFM.

$ ls -l .e
.e/                           .entrance_session.log
.ecore/                       .esd_auth
.elementary/                  .etui/
.emulator_console_auth_token
zmike added a comment.Oct 13 2017, 9:12 AM

efm is not a separate process. soffice is libre/open office

wltjr added a comment.Oct 13 2017, 9:34 AM

E depends on libreoffice? That seems odd. Maybe that should be configurable? Unless I missed an option and it defaulted on. The reason I say EFM vs E is windows remain. Open terminals, browser etc. Those never flicker or change. The borders remain, window controls etc. It is only the desktop that seems to crash/restart. Which I thought was handled by EFM. Either way it seems to just be crashing the desktop not E. Thus no e-crashdump.txt or anything beyond what shows in log. Which almost seems like a restart vs crash. The PAUSE bit is strange. That is what I get when it restarts.

PAUSE !
ESTART: 0.00001 [0.00001] - Begin Startup
zmike added a comment.Oct 17 2017, 5:27 AM

If you get a PAUSE message in your logs then the main process has crashed and there should be a crashdump file if nothing in your system is preventing gdb attaches. If you are on a systemd system, you can check coredumpctl for this as well.

libreoffice is (optionally) used by efl image loaders to generate thumbnails for e.g., pdf files. Enlightenment has no dependency on it.

wltjr added a comment.Oct 17 2017, 8:04 AM

I am not getting any crashdump files, not sure why. I have things built with symbols, and I can attach via gdb I believe. I am not running systemd, but do have elogind. I have had them before. I deleted the file so that it would be a clean output next time. Thus far on neither desktop nor laptop has the file been re-created after delete.

That seems extremely strange to be using libreoffice for thumbnails vs something like imagemagik or others graphics libraries for such. It does not seem like a configurable option in EFL. I also have not seen that message since, but maybe from EFM or something I am not using much. libreoffice is a huge package to have for such a small dependency. I still run Open Office due to issues with libreoffice.

zmike closed this task as Wontfix.Nov 6 2017, 10:31 AM

No way to repro, no usable data.